To check Front+Back please follow steps below:
1. Need to run 'npm install' for server.
2. Need to start server with 'npm run serve'
3. Need to open Client app (I used VSCode to run LiveServer for client)
4. Client side has register and login methods.

UI is for some of the methods not all (point is same in every, basically)
Of course it would be great to add a lot of checks and valitations, so there are some, but not all.